Package org.jboss.logmanager.formatters

## Class FormatStringParser

- java.lang.Object
- - org.jboss.logmanager.formatters.FormatStringParser

    public final class FormatStringParser
    extends java.lang.Object

A parser which can translate a log4j-style format string into a series of `FormatStep` instances.

### Method Summary

All Methods Static Methods Concrete Methods
`static FormatStep[]` `getSteps​(java.lang.String formatString, ColorMap colors)` Compile a format string into a series of format steps.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getSteps

    public static FormatStep[] getSteps​(java.lang.String formatString,
                                        ColorMap colors)

Compile a format string into a series of format steps.

Parameters:
  `formatString` - the format string
Returns:
  the format steps